package com.ruoyi.model.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppTouristMapper;
import com.ruoyi.model.domain.AppTourist;
import com.ruoyi.model.service.IAppTouristService;

/**
 * 游客Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-06
 */
@Service
public class AppTouristServiceImpl implements IAppTouristService 
{
    @Autowired
    private AppTouristMapper appTouristMapper;

    /**
     * 查询游客
     * 
     * @param id 游客主键
     * @return 游客
     */
    @Override
    public AppTourist selectAppTouristById(Long id)
    {
        return appTouristMapper.selectAppTouristById(id);
    }

    /**
     * 查询游客列表
     * 
     * @param appTourist 游客
     * @return 游客
     */
    @Override
    public List<AppTourist> selectAppTouristList(AppTourist appTourist)
    {
        return appTouristMapper.selectAppTouristList(appTourist);
    }

    /**
     * 新增游客
     * 
     * @param appTourist 游客
     * @return 结果
     */
    @Override
    public int insertAppTourist(AppTourist appTourist)
    {
        return appTouristMapper.insertAppTourist(appTourist);
    }

    /**
     * 修改游客
     * 
     * @param appTourist 游客
     * @return 结果
     */
    @Override
    public int updateAppTourist(AppTourist appTourist)
    {
        return appTouristMapper.updateAppTourist(appTourist);
    }

    /**
     * 批量删除游客
     * 
     * @param ids 需要删除的游客主键
     * @return 结果
     */
    @Override
    public int deleteAppTouristByIds(Long[] ids)
    {
        return appTouristMapper.deleteAppTouristByIds(ids);
    }

    /**
     * 删除游客信息
     * 
     * @param id 游客主键
     * @return 结果
     */
    @Override
    public int deleteAppTouristById(Long id)
    {
        return appTouristMapper.deleteAppTouristById(id);
    }

    @Override
    public AppTourist getAppTouristLimitOne() {
        return appTouristMapper.getAppTouristLimitOne();
    }
}
